Subject: Re: [PATCH v3] sparse-checkout: optimize string_list construction

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Jan 2026 09:17:42 -0800

Amisha Chhajed <[email-masked]> writes:

> It was assumed to be safe under the notion that our entries are not
> duplicate but as already pointed out, our entries are not unique so we
> need one of those two ways either insert or remove_duplicates, this
> can be a trivial question but i wonder how are the tests passing by
> removing these lines, i was actually researching about it.

... suspense.  And the result of the research was???

If the answer was simply "we lack test coverage", it may make sense
to add a test taken from Peff's earlier response to increase test
coverage, perhaps?

Thanks.